> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Variants Proteins

> Retrieve allele-specific transcription factor binding events from ADASTRA in cell type-specific context,

allele-specific transcription factor binding events from GVATdb, pQTL from UKB by querying variants, and predicted allele specific binding from SEMpl.

Set verbose = true to retrieve full info on the variant-transcription factor pairs, and ontology terms of the cell types.

At least one of these fields is required: variant_id, spdi, hgvs, rsid, ca_id, region, method, or files_fileset.

The limit parameter controls the page size and can not exceed 100.

Pagination is 0-based.

**Examples by method**

These examples are grouped by method; use the `method` filter to return data from a specific method.

**ADASTRA:**

**query by variant identifier**

- variant_id = NC_000005.10:59317579:G:T
- method = ADASTRA

**query by region**

- region = chr5:150575301-150575304
- method = ADASTRA

**GVATdb:**

**query by variant identifier**

- variant_id = NC_000010.11:112626979:C:T
- method = GVATdb

**query by region**

- region = chr10:112626978-112626982
- method = GVATdb

**SEMVAR:**

**query by variant identifier**

- spdi = NC_000001.11:100091094:A:C
- method = SEMVAR

**query by region**

- region = chr1:100091093-100091097
- method = SEMVAR

**pQTL:**

**query by variant identifier**

- spdi = NC_000002.12:27508072:T:C
- method = pQTL

**query by region**

- region = chr2:27508070-27508074
- method = pQTL



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /variants/proteins
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /variants/proteins:
    get:
      summary: Variants Proteins
      description: >-
        Retrieve allele-specific transcription factor binding events from
        ADASTRA in cell type-specific context,


        allele-specific transcription factor binding events from GVATdb, pQTL
        from UKB by querying variants, and predicted allele specific binding
        from SEMpl.


        Set verbose = true to retrieve full info on the variant-transcription
        factor pairs, and ontology terms of the cell types.


        At least one of these fields is required: variant_id, spdi, hgvs, rsid,
        ca_id, region, method, or files_fileset.


        The limit parameter controls the page size and can not exceed 100.


        Pagination is 0-based.


        **Examples by method**


        These examples are grouped by method; use the `method` filter to return
        data from a specific method.


        **ADASTRA:**


        **query by variant identifier**


        - variant_id = NC_000005.10:59317579:G:T

        - method = ADASTRA


        **query by region**


        - region = chr5:150575301-150575304

        - method = ADASTRA


        **GVATdb:**


        **query by variant identifier**


        - variant_id = NC_000010.11:112626979:C:T

        - method = GVATdb


        **query by region**


        - region = chr10:112626978-112626982

        - method = GVATdb


        **SEMVAR:**


        **query by variant identifier**


        - spdi = NC_000001.11:100091094:A:C

        - method = SEMVAR


        **query by region**


        - region = chr1:100091093-100091097

        - method = SEMVAR


        **pQTL:**


        **query by variant identifier**


        - spdi = NC_000002.12:27508072:T:C

        - method = pQTL


        **query by region**


        - region = chr2:27508070-27508074

        - method = pQTL
      operationId: proteinsFromVariants
      parameters:
        - name: spdi
          in: query
          required: false
          schema:
            type: string
        - name: hgvs
          in: query
          required: false
          schema:
            type: string
        - name: rsid
          in: query
          required: false
          schema:
            type: string
        - name: ca_id
          in: query
          required: false
          schema:
            type: string
        - name: variant_id
          in: query
          required: false
          schema:
            type: string
        - name: region
          in: query
          required: false
          schema:
            type: string
        - name: label
          in: query
          required: false
          schema:
            type: string
            enum:
              - allele-specific binding
              - pQTL
              - predicted allele-specific binding
        - name: source
          in: query
          required: false
          schema:
            type: string
            enum:
              - ADASTRA
              - GVATdb
              - IGVF
              - UKB
        - name: method
          in: query
          required: false
          schema:
            type: string
            enum:
              - ADASTRA
              - GVATdb
              - SEMVAR
              - pQTL
        - name: files_fileset
          in: query
          required: false
          schema:
            type: string
        - name: name
          in: query
          required: false
          schema:
            type: string
            enum:
              - associated with levels of
              - modulates binding of
        - name: organism
          in: query
          required: false
          schema:
            type: string
            enum:
              - Homo sapiens
            default: Homo sapiens
        - name: verbose
          in: query
          required: false
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            default: 'false'
        - name: page
          in: query
          required: false
          schema:
            type: number
            default: 0
        - name: limit
          in: query
          required: false
          schema:
            type: number
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    sequence_variant:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            chr:
                              type: string
                            pos:
                              type: number
                            ref:
                              type: string
                            alt:
                              type: string
                            rsid:
                              type: array
                              items:
                                type: string
                              nullable: true
                            spdi:
                              type: string
                              nullable: true
                            hgvs:
                              type: string
                              nullable: true
                            ca_id:
                              type: string
                              nullable: true
                            _id:
                              type: string
                          required:
                            - chr
                            - pos
                            - ref
                            - alt
                          additionalProperties: false
                    protein_complex:
                      anyOf:
                        - anyOf:
                            - type: string
                            - type: object
                              properties:
                                _id:
                                  type: string
                                name:
                                  type: string
                                  nullable: true
                                uniprot_names:
                                  type: array
                                  items:
                                    type: string
                                  nullable: true
                                uniprot_full_names:
                                  type: array
                                  items:
                                    type: string
                                  nullable: true
                                uniprot_ids:
                                  type: array
                                  items:
                                    type: string
                                  nullable: true
                                MANE_Select:
                                  type: boolean
                                  nullable: true
                                organism:
                                  type: string
                                source:
                                  type: string
                                source_url:
                                  type: string
                              required:
                                - _id
                                - organism
                                - source
                                - source_url
                              additionalProperties: false
                        - type: object
                          properties:
                            _id:
                              type: string
                            name:
                              type: string
                            alias:
                              type: array
                              items:
                                type: string
                              nullable: true
                            molecules:
                              type: array
                              items:
                                type: string
                              nullable: true
                            evidence_code:
                              type: string
                              nullable: true
                            experimental_evidence:
                              type: string
                              nullable: true
                            description:
                              type: string
                              nullable: true
                            complex_assembly:
                              anyOf:
                                - type: string
                                - type: array
                                  items:
                                    type: string
                              nullable: true
                            complex_source:
                              type: string
                              nullable: true
                            reactome_xref:
                              type: array
                              items:
                                type: string
                              nullable: true
                            source:
                              type: string
                            source_url:
                              type: string
                          required:
                            - _id
                            - name
                            - source
                            - source_url
                          additionalProperties: false
                    biosample_term:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            uri:
                              type: string
                            term_id:
                              type: string
                            name:
                              type: string
                            synonyms:
                              type: array
                              items:
                                type: string
                              nullable: true
                            description:
                              type: string
                              nullable: true
                            source:
                              type: string
                            subontology:
                              type: string
                              nullable: true
                            source_url:
                              type: string
                              nullable: true
                          required:
                            - uri
                            - term_id
                            - name
                          additionalProperties: false
                      nullable: true
                    biological_context:
                      type: string
                      nullable: true
                    regulatory_type:
                      type: string
                      nullable: true
                    class:
                      type: string
                      nullable: true
                    label:
                      type: string
                      nullable: true
                    name:
                      type: string
                    method:
                      type: string
                      nullable: true
                    files_filesets:
                      type: string
                      nullable: true
                    source:
                      type: string
                      nullable: true
                    source_url:
                      type: string
                      nullable: true
                    is_complex:
                      type: boolean
                    score:
                      type: number
                      nullable: true
                    neg_log10_pvalue_adj_ref:
                      type: number
                      nullable: true
                    neg_log10_pvalue_adj_alt:
                      type: number
                      nullable: true
                    motif:
                      type: string
                      nullable: true
                    motif_log2FC:
                      type: number
                      nullable: true
                    beta:
                      type: number
                      nullable: true
                    se:
                      type: number
                      nullable: true
                    gene:
                      type: string
                      nullable: true
                    gene_consequence:
                      type: string
                      nullable: true
                    neg_log10_pvalue:
                      type: number
                      nullable: true
                    p_value:
                      type: number
                      nullable: true
                    neg_log10_pvalue_adj:
                      type: number
                      nullable: true
                    variant_effect_score:
                      type: number
                      nullable: true
                    SEMpl_annotation:
                      type: string
                      nullable: true
                    SEMpl_baseline:
                      type: number
                      nullable: true
                    alt_score:
                      type: number
                      nullable: true
                    ref_score:
                      type: number
                      nullable: true
                    relative_binding_affinity:
                      type: number
                      nullable: true
                    effect_on_binding:
                      type: string
                      nullable: true
                  required:
                    - name
                    - is_complex
                  additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````